Subject: Re: Valid file-name characters
From: "Max Bowsher" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 22 Jul 2002 14:08:54 +0100

egor duda wrote:
> That's exactly my point. Having some fancy rules for filename encoding
> breaks interoperability with native tools. Escaping non-valid
> characters like ':' is not big problem, since native tools can't use
> such names anyway. But messing with valid characters like '%' is far
> more dangerous and error-prone.

OK, so we need to think long and hard before picking an escape character. But
surely bypassing Windows's invalid characters in filenames is worth problems in
the extremely rare corner case that filenames contain whichever weird character
we pick?

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/